// BCC_CalculateDlg.h : header file
//

#if !defined(AFX_BCC_CALCULATEDLG_H__FDC36671_C0B1_4734_8BF4_CFB235C55767__INCLUDED_)
#define AFX_BCC_CALCULATEDLG_H__FDC36671_C0B1_4734_8BF4_CFB235C55767__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "hexedit.h"
/////////////////////////////////////////////////////////////////////////////
// CBCC_CalculateDlg dialog

class CBCC_CalculateDlg : public CDialog
{
// Construction
public:
	CBCC_CalculateDlg(CWnd* pParent = NULL);	// standard constructor
   
// Dialog Data
	//{{AFX_DATA(CBCC_CalculateDlg)
	enum { IDD = IDD_BCC_CALCULATE_DIALOG };
	CString	m_sur;
	CString	m_end;
	BOOL	m_qufan;
	BOOL	m_HexBCC;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBCC_CalculateDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBCC_CalculateDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	 unsigned char BCC(unsigned char *p);
	 int Str2Hex(CString str, unsigned char* data);
	 char HexChar(char c);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BCC_CALCULATEDLG_H__FDC36671_C0B1_4734_8BF4_CFB235C55767__INCLUDED_)
